/****************************************************************************************************

		MCCoreTypes.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	5/18/2005

****************************************************************************************************/

#ifndef __MCCoreTypes__
#define __MCCoreTypes__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"

// ****************************************************************************
//								enum EStandardPathID
// -Description:
//		Provides constants to use in TMCPlatformUtilities::GetStandardPath to retreive
//		special folder locations
//
// -Constants:
//		kUserApplicationData : folder where an application can store user specific information (potentially hidden to user)
//			=>winxp: C:\Documents and Settings\%currentUser%\Application Data
//			=>osx  : /Users/%currentUser%/Library/Preferences
//			
//		kUserdocuments	: folder where an application can store user documents
//			=>winxp: C:\Documents and Settings\%currentUser%\My documents
//			=>osx  : /Users/%currentUser%/Documents
//
//		kUserPictures	: folder where an application can store user images
//			=>winxp: undefined in VC++6 (should be C:\Documents and Settings\%currentUser%\My documents\MyPictures)
//			=>osx  : undefined (should be /Users/%currentUser%/Pictures)
//
//		kCurrentProcessPath: the folder of the currently running application's executable file.
//
//		kInvalidStandardPathID: forces enum to int32
//	
//
enum EStandardPathID
{
	kCurrentProcessPath		= 0,

	kUserApplicationData,
	kUserDocuments,
	kUserPictures,

	kInvalidStandardPathID= 0xFFFFFFFF
};


#endif